From 0d8825f9a8e786f8ddfe328e33c7fe7b6559b9d3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Fr=C3=A9d=C3=A9ric=20P=C3=A9ters?= <fpeters@entrouvert.com>
Date: Tue, 26 Nov 2019 14:04:44 +0100
Subject: [PATCH 4/6] remove support for announces (#37967)

---
 auquotidien/auquotidien.py             |    4 -
 auquotidien/modules/admin.py           |   77 +-
 auquotidien/modules/announces.py       |  182 ---
 auquotidien/modules/announces_ui.py    |  459 -------
 auquotidien/modules/myspace.py         |   53 +-
 auquotidien/modules/pyatom/__init__.py |    0
 auquotidien/modules/pyatom/afl-2.1.txt |   54 -
 auquotidien/modules/pyatom/pyatom.py   | 1734 ------------------------
 auquotidien/modules/pyatom/readme.txt  |   64 -
 auquotidien/modules/root.py            |  554 --------
 auquotidien/modules/template.py        |    5 -
 11 files changed, 5 insertions(+), 3181 deletions(-)
 delete mode 100644 auquotidien/modules/announces.py
 delete mode 100644 auquotidien/modules/announces_ui.py
 delete mode 100644 auquotidien/modules/pyatom/__init__.py
 delete mode 100644 auquotidien/modules/pyatom/afl-2.1.txt
 delete mode 100644 auquotidien/modules/pyatom/pyatom.py
 delete mode 100644 auquotidien/modules/pyatom/readme.txt

diff --git a/auquotidien/auquotidien.py b/auquotidien/auquotidien.py
index 81e6486..11fab03 100644
--- a/auquotidien/auquotidien.py
+++ b/auquotidien/auquotidien.py
@@ -6,7 +6,6 @@ from wcs.qommon.misc import get_cfg
 
 from modules import admin
 from modules import backoffice
-from modules import announces_ui
 from modules import categories_admin
 from modules import payments_ui
 from modules import strongbox_ui
@@ -26,9 +25,6 @@ rdb = get_publisher_class().backoffice_directory_class
 
 rdb.items = []
 
-rdb.register_directory('announces', announces_ui.AnnouncesDirectory())
-rdb.register_menu_item('announces/', _('Announces'))
-
 rdb.register_directory('payments', payments_ui.PaymentsDirectory())
 rdb.register_menu_item('payments/', _('Payments'))
 
diff --git a/auquotidien/modules/admin.py b/auquotidien/modules/admin.py
index 65b8ec8..b7ef237 100644
--- a/auquotidien/modules/admin.py
+++ b/auquotidien/modules/admin.py
@@ -22,8 +22,8 @@ from .abelium_domino_ui import AbeliumDominoDirectory
 
 
 class PanelDirectory(Directory):
-    _q_exports = ['', 'update', 'announces', 'permissions',
-            'announce_themes', 'strongbox', 'domino']
+    _q_exports = ['', 'update', 'permissions',
+            'strongbox', 'domino']
     label = N_('Control Panel')
 
     domino = AbeliumDominoDirectory()
@@ -37,49 +37,12 @@ class PanelDirectory(Directory):
                 if string_value:
                     form.get_widget('mobile_mask').value = string_value.upper()
 
-    def announces(self):
-        announces_cfg = get_cfg('announces', {})
-        sms_cfg = get_cfg('sms', {})
-        form = Form(enctype='multipart/form-data')
-        hint = ""
-        if sms_cfg.get('mode','') in ("none",""):
-            hint = htmltext(_('You must also <a href="%s">configure your SMS provider</a>') % "../settings/sms")
-
-        form.add(CheckboxWidget, 'sms_support', title = _('SMS support'),
-                hint = hint, value = announces_cfg.get('sms_support', 0))
-        form.add(StringWidget, 'mobile_mask', title = _('Mask for mobile numbers'),
-                hint = _('example: 06XXXXXXXX'),
-                value = announces_cfg.get('mobile_mask',''))
-        form.add_submit('submit', _('Submit'))
-        form.add_submit('cancel', _('Cancel'))
-
-        self._verify_mask(form)
-
-        if form.get_widget('cancel').parse():
-            return redirect('..')
-
-        if not form.is_submitted() or form.has_errors():
-            get_response().breadcrumb.append(('aq/announces', _('Announces Options')))
-            html_top('settings', _('Announces Options'))
-            r = TemplateIO(html=True)
-            r += htmltext('<h2>%s</h2>') % _('Announces Options')
-            r += form.render()
-            return r.getvalue()
-        else:
-            from wcs.admin.settings import cfg_submit
-            cfg_submit(form, 'announces', ('sms_support','mobile_mask'))
-            return redirect('..')
-
     def permissions(self):
         permissions_cfg = get_cfg('aq-permissions', {})
         form = Form(enctype='multipart/form-data')
         form.add(SingleSelectWidget, 'forms', title = _('Admin role for forms'),
                 value = permissions_cfg.get('forms', None),
                 options = [(None, _('Nobody'), None)] + get_user_roles())
-        if get_publisher().has_site_option('auquotidien-announces'):
-            form.add(SingleSelectWidget, 'announces', title = _('Admin role for announces'),
-                    value = permissions_cfg.get('announces', None),
-                    options = [(None, _('Nobody'), None)] + get_user_roles())
         if get_publisher().has_site_option('auquotidien-payments'):
             form.add(SingleSelectWidget, 'payments', title = _('Admin role for payments'),
                     value = permissions_cfg.get('payments', None),
@@ -104,34 +67,7 @@ class PanelDirectory(Directory):
         else:
             from wcs.admin.settings import cfg_submit
             cfg_submit(form, 'aq-permissions',
-                        ('forms', 'announces', 'payments', 'strongbox'))
-            return redirect('..')
-
-    def announce_themes(self):
-        misc_cfg = get_cfg('misc', {})
-        form = Form(enctype='multipart/form-data')
-        form.add(WidgetList, 'announce_themes', title = _('Announce Themes'),
-                value = misc_cfg.get('announce_themes', []),
-                elemnt_type = StringWidget,
-                add_element_label = _('Add Theme'),
-                element_kwargs = {str('render_br'): False, str('size'): 30})
-
-        form.add_submit('submit', _('Submit'))
-        form.add_submit('cancel', _('Cancel'))
-
-        if form.get_widget('cancel').parse():
-            return redirect('..')
-
-        if not form.is_submitted() or form.has_errors():
-            get_response().breadcrumb.append(('aq/announce_themes', _('Announce Themes')))
-            html_top('settings', _('Announce Themes'))
-            r = TemplateIO(html=True)
-            r += htmltext('<h2>%s</h2>') % _('Announce Themes')
-            r += form.render()
-            return r.getvalue()
-        else:
-            from wcs.admin.settings import cfg_submit
-            cfg_submit(form, 'misc', ('announce_themes',))
+                        ('forms', 'payments', 'strongbox'))
             return redirect('..')
 
     def strongbox(self):
@@ -163,8 +99,7 @@ class PanelDirectory(Directory):
 
 class SettingsDirectory(wcs.admin.settings.SettingsDirectory):
     def _q_index(self):
-        if not (get_publisher().has_site_option('auquotidien-announces') or
-                get_publisher().has_site_option('auquotidien-payments') or
+        if not (get_publisher().has_site_option('auquotidien-payments') or
                 get_publisher().has_site_option('auquotidien-strongvox')):
             return super(SettingsDirectory, self)._q_index()
         r = TemplateIO(html=True)
@@ -173,11 +108,7 @@ class SettingsDirectory(wcs.admin.settings.SettingsDirectory):
         r += htmltext('<div class="bo-block">')
         r += htmltext('<h2>%s</h2>') % _('Extra Options')
         r += htmltext('<ul>')
-        if get_publisher().has_site_option('auquotidien-announces'):
-            r += htmltext('<li><a href="aq/announces">%s</a></li>') % _('Announces Options')
         r += htmltext('<li><a href="aq/permissions">%s</a></li>') % _('Permissions')
-        if get_publisher().has_site_option('auquotidien-announces'):
-            r += htmltext('<li><a href="aq/announce_themes">%s</a></li>') % _('Announce Themes')
         if get_publisher().has_site_option('strongbox'):
             r += htmltext('<li><a href="aq/strongbox">%s</a></li>') % _('Strongbox Support')
         if get_publisher().has_site_option('domino'):
diff --git a/auquotidien/modules/myspace.py b/auquotidien/modules/myspace.py
index c0548d3..196c45e 100644
--- a/auquotidien/modules/myspace.py
+++ b/auquotidien/modules/myspace.py
@@ -25,7 +25,6 @@ from wcs.qommon.admin.texts import TextsDirectory
 from wcs.formdef import FormDef
 import wcs.myspace
 
-from .announces import AnnounceSubscription
 from .strongbox import StrongboxItem, StrongboxType
 from .payments import Invoice, Regie, is_payment_supported
 
@@ -411,7 +410,7 @@ class JsonDirectory(Directory):
 
 class MyspaceDirectory(wcs.myspace.MyspaceDirectory):
     _q_exports = ['', 'profile', 'new', 'password', 'remove', 'drafts', 'forms',
-            'announces', 'strongbox', 'invoices', 'json']
+            'strongbox', 'invoices', 'json']
 
     strongbox = StrongboxDirectory()
     invoices = MyInvoicesDirectory()
@@ -492,17 +491,6 @@ class MyspaceDirectory(wcs.myspace.MyspaceDirectory):
                 r += htmltext(' <strong><a href="remove" rel="popup">%s</a></strong>.') % _('Delete My Account')
                 r += htmltext('</p>')
 
-        options = get_cfg('misc', {}).get('announce_themes')
-        if options:
-            try:
-                subscription = AnnounceSubscription.get_on_index(
-                        get_request().user.id, str('user_id'))
-            except KeyError:
-                pass
-            else:
-                r += htmltext('<p class="command"><a href="announces">%s</a></p>') % _(
-                        'Edit my Subscription to Announces')
-
         if user_forms:
             r += htmltext('<h3 id="my-forms">%s</h3>') % _('My Forms')
             from . import root
@@ -675,45 +663,6 @@ class MyspaceDirectory(wcs.myspace.MyspaceDirectory):
         template.html_top(_('Removing Account'))
         return form.render()
 
-    def announces(self):
-        options = get_cfg('misc', {}).get('announce_themes')
-        if not options:
-            raise errors.TraversalError()
-        user = get_request().user
-        if not user or user.anonymous:
-            raise errors.AccessUnauthorizedError()
-        subscription = AnnounceSubscription.get_on_index(get_request().user.id, str('user_id'))
-        if not subscription:
-            raise errors.TraversalError()
-
-        if subscription.enabled_themes is None:
-            enabled_themes = options
-        else:
-            enabled_themes = subscription.enabled_themes
-
-        form = Form(enctype = 'multipart/form-data')
-        form.add(CheckboxesWidget, 'themes', title=_('Announce Themes'),
-                value=enabled_themes, options=[(x, x, x) for x in options],
-                inline=False, required=False)
-
-        form.add_submit('submit', _('Apply Changes'))
-        form.add_submit('cancel', _('Cancel'))
-
-        if form.get_submit() == 'cancel':
-            return redirect('.')
-
-        if form.is_submitted() and not form.has_errors():
-            chosen_themes = form.get_widget('themes').parse()
-            if chosen_themes == options:
-                chosen_themes = None
-            subscription.enabled_themes = chosen_themes
-            subscription.store()
-            return redirect('.')
-
-        template.html_top()
-        get_response().breadcrumb.append(('announces', _('Announce Subscription')))
-        return form.render()
-
 
 TextsDirectory.register('aq-myspace-invoice',
         N_('Message on top of invoices page'),
